﻿/**********************************************************************
* Method:		UserControls_DisplayPrograms :: Page_Load
* Description:	This control is used to display a list of the programs
**********************************************************************/

using System;
using System.Web.UI;

using umbraco.cms.businesslogic.media;
using umbraco.interfaces;
using umbraco.NodeFactory;

public partial class UserControls_DisplayPrograms : UserControl {
	/**********************************************************************
	* Method:		UserControls_DisplayPrograms :: Page_Load
	* Description:	Event to occur when the page is loaded
	* Inputs:		Standard page load event arguements
	* Outputs:		None
	**********************************************************************/
	protected void Page_Load ( object sender, EventArgs e ) {
		// Initialize method variables
		INode currentPage = new Node();
			
		litPrograms.Text +=							"<table>";

		foreach(var n in currentPage.ChildrenAsList) {
			if (n.NodeTypeAlias == "program") {
				litPrograms.Text +=					"<tr>";
				litPrograms.Text +=					"<td colspan='3'>";

				litPrograms.Text +=					"<h2><a name='" + n.Id + "'></a>" + n.Name + "</h2>";

				litPrograms.Text +=					"</td>";
				litPrograms.Text +=					"</tr>";
				litPrograms.Text +=					"<tr>";

				litPrograms.Text +=					"<td>";

				// See if there is a description to display
				if (n.GetProperty("programDescription") != null && n.GetProperty("programDescription").Value != string.Empty) {
					litPrograms.Text +=				"<p>" + n.GetProperty("programDescription").Value + "</p>";
				}

				litPrograms.Text +=					"</td>";
				litPrograms.Text +=					"<td width='35'>&nbsp;</td>";

				// See if there is an icon to display
				if (n.GetProperty("programIcon") != null && n.GetProperty("programIcon").Value != string.Empty) {
					var image =						new Media(Int32.Parse(n.GetProperty("programIcon").Value));
					var imageUrl =					image.getProperty("umbracoFile").Value.ToString();

					litPrograms.Text +=				"<td><img src='" + imageUrl.Substring(imageUrl.IndexOf("'") + 1, imageUrl.LastIndexOf("'") - imageUrl.IndexOf("'") - 1) + "' alt='' /></td>";
				} else {
					litPrograms.Text +=				"<td width='176'>&nbsp;</td>";
				}

				litPrograms.Text +=					"</tr>";
			}
		}

		litPrograms.Text +=							"</table>";
	}
}