﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.UI;

using umbraco.cms.businesslogic.media;
using umbraco.interfaces;
using umbraco.NodeFactory;

public partial class UserControls_MainNavigation : UserControl {
	/**********************************************************************
	* Method:		UserControls_MainNavigation :: Page_Load
	* Description:	Event to occur when the page is loaded
	* Inputs:		Standard page load event arguements
	* Outputs:		None
	**********************************************************************/
    protected void Page_Load(object sender, EventArgs e) {
		// Initialize method variables
		INode topPage = new Node();
		List<INode> subNodes = null;
		int count = 0;

		// Go to level 1 as top level menu
		while (topPage.Parent != null) {
			topPage =									topPage.Parent;
		}
			
		litMenu.Text =									"<ul>";

		litMenu.Text +=									"<li><a href='/'>Home</a></li>";

		foreach(var n in topPage.ChildrenAsList) {
			if (n.GetProperty("umbracoNaviHide").Value == "0") {
				if (n.NodeTypeAlias == "TopLevelNavPlaceholderDocType" && n.GetProperty("linkToSubpage").Value == "1") {
					subNodes =							n.ChildrenAsList;

					if (subNodes.Count() > 0) {
						litMenu.Text +=					"<li><a href='" + subNodes[0].NiceUrl + "'" + (count == 0 ? " class='first'" : "") + ">" + n.Name + "</a>";
					}
				} else {
					litMenu.Text +=						"<li><a href='" + n.NiceUrl + "'" + (count == 0 ? " class='first'" : "") + ">" + n.Name + "</a>";
				}

				// See if there are sub menu items
				if (n.ChildrenAsList.Count() > 0) {
					litMenu.Text +=						"<ul>";

					// Loop though and display all of the sub menu items
					foreach (Node nd in n.ChildrenAsList) {
						if (nd.NodeTypeAlias == "TopLevelNavPlaceholderDocType" && nd.GetProperty("linkToSubpage").Value == "1") {
							subNodes =					nd.ChildrenAsList;

							if (subNodes.Count() > 0) {
								litMenu.Text +=			"<li><a href='" + subNodes[0].NiceUrl + "'" + nd.Name + "</a>";
							}
						} else {
							litMenu.Text +=				"<li><a href='" + nd.NiceUrl + "'>" + nd.Name + "</a>";
						}
					}

					litMenu.Text +=						"</ul>";
				}

				litMenu.Text +=							"</li>";

				count++;
			}
		}

		litMenu.Text +=									"</ul>";
    }
}