﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using umbraco.interfaces;
using umbraco.NodeFactory;

public partial class UserControls_News_Summary : UserControl {
	protected void Page_Load ( object sender, EventArgs e ) {
		INode topPage = new Node();
		DateTime date;

		// Go to level 1 as top level menu
		while (topPage.Parent != null) {
			topPage =							topPage.Parent;
		}

		litNews.Text =							string.Empty;

		foreach(Node n in topPage.ChildrenAsList) {
			// See if the node is a news area
			if (n.NodeTypeAlias == "newsArea") {
				// Loop through the child nodes to display the first news item
				foreach(Node nd in n.ChildrenAsList) {
					// See if the news item is hidden
					if (nd.GetProperty("umbracoNaviHide").Value == "0") {
						date =					Convert.ToDateTime(nd.GetProperty("newsDate").Value.Substring(0, nd.GetProperty("newsDate").Value.IndexOf("T")));
						litNews.Text +=			"<h2>" + nd.Name + "</h2>";
						litNews.Text +=			"<p><strong>" + date.ToString("dd/MM/yyyy") + "</strong></p>";
						litNews.Text +=			"<p>" + nd.GetProperty("newsExcerpt").Value + "</p>";
						litNews.Text +=			"<p><a href='" + nd.NiceUrl + "'>Read more ...</a></p>";

					}
				}
			}
		}
	}
}